#405 context menu blanking

open
nobody
None
5
2004-08-23
2004-08-23
No

There used to be a conflict with screen blanking when
the user rightclicked in the edit pane, related to the
power saving settings of the X server. AFAIK a
workaround was added to cure this, and the context menu
is usable again. However, rightclicking on the tab bar
still blanks the screen.

Discussion

  • Joor Loohuis

    Joor Loohuis - 2004-08-23

    Logged In: YES
    user_id=197101

    Sorry, I forgot:
    NEdit release of jul 26, 2004

    Built on: Linux, 386, GNU C
    Built at: Jul 26 2004, 20:59:53
    With Motif: 2.1.30 [@(#)Motif Version 2.1.30]
    Running Motif: 2.1 [unknown]
    Server: The XFree86 Project, Inc 40300000
    Visual: 24-bit TrueColor (ID 0x23, Default)
    Locale: en_US

     
  • Nobody/Anonymous

    Logged In: NO

    I'm not sure the earlier problem the one fixed by Eddy's
    changes to menu.c@r1.52. If it is, the tac context menu
    popup action contain the same fix (or rather, does not
    include the offensive code removed by Eddy in bgmenu popup
    action).

    Are you able to reproduce the bug reliably? which
    distro/flavor of Linux & X are you using? The tab context
    menu work was developed on Redhat 9.

     
  • Joor Loohuis

    Joor Loohuis - 2004-08-26

    Logged In: YES
    user_id=197101

    I'm not sure what exactly happened, but I could repeatedly
    rightclick in the textpane without the screen blanking,
    while rightclicking on the tab bar did blank the screen.
    With a build of NEdit from CVS updated right now I again
    have screen blanking in both cases when DPMS is turned on,
    on Red Hat 9 (XFree 4.3.0, and OM 2.1.30 built from source,
    statically compiled). Steps to reproduce are simple: 'xset +
    dpms' results in screen blanking, 'xset -dpms' avoids it.
    The problem basically is that even if DPMS has been turned
    off, the screensaver will turn it back on when it kicks in.

    I tested the same nedit binary on FC2 (X.org 6.7.0), and on
    that there is no blanking, regardless what the status of
    DPMS is.

     
  • Eddy De Greef

    Eddy De Greef - 2004-08-30

    Logged In: YES
    user_id=73597

    I doubt that the changes in menu.c@r1.52 had anything to do
    with it, especially since you can still reproduce the
    blanking. Those changes were made to avoid that X would
    loose track of which window had the focus after the bg menu
    popped up in a weird state.

    I have no idea of what is causing the blanking or which
    changes may have affected it. AFAIK no-one has intentionally
    made any changes to fix this.
    Perhaps you can narrow it down by doing a binary search on
    CVS versions of different dates?

     
  • Nathan Gray

    Nathan Gray - 2004-09-27

    Logged In: YES
    user_id=121553

    I don't have a RH 9 machine but I can't reproduce it on RH 7.3 with
    XFree86 4.2.1 or FC 1 with Xorg 6.7.0.

    Can people please comment on whether or not I should be holding back
    5.5 for this bug? My inclination is to defer this to a possible 5.5.1 since
    it hasn't been touched in a month, but I've had no feedback from the
    NEdit community.

     
  • Eddy De Greef

    Eddy De Greef - 2004-09-28

    Logged In: YES
    user_id=73597

    I hadn't seen the blanking problem for over two years, but
    strangely enough, one or two weeks ago, I ran into exactly
    the same problem as Joor (using 5.5RC2). The screen blanked
    only when I right-clicked on the tab bar. I didn't have time
    to investigate it and the problem mysteriously disappeared a
    few hours later. I hadn't changed anything in my
    configuration and I was still running the same binary. I
    haven't had any problems since.
    I wouldn't hold 5.5 for this. IMO, it is not an NEdit bug
    and I doubt that
    we can do anything about it.

     
  • Thorsten Haude

    Thorsten Haude - 2006-02-05

    Logged In: YES
    user_id=119143

    Any news about on what configurations this blanks?

     
  • Joor Loohuis

    Joor Loohuis - 2006-02-06

    Logged In: YES
    user_id=197101

    I can't reproduce the blanking anymore. DPMS is on and my
    NEdit is not new:

    NEdit release of Aug 20, 2004

    Built on: Linux, 386, GNU C
    Built at: Oct 6 2004, 11:39:53
    With Motif: 2.2.3 [@(#)Motif Version 2.2.3]
    Running Motif: 2.2 [unknown]
    Server: The X.Org Foundation 60802000
    Visual: 24-bit TrueColor (ID 0x21, Default)
    Locale: nl_NL.UTF-8

    What has changed is that I use an up-to-date Fecora Core 4,
    and the changes to X might have something to do with it. I
    have no problems clicking on the content window or the tab bar.

     
  • Thorsten Haude

    Thorsten Haude - 2006-02-06

    Logged In: YES
    user_id=119143

    Did you use FC before? Maybe it's a transient problem with
    FC or something XF86 -> X.org fixed.

    Eddy, do you use FC?

     
  • Eddy De Greef

    Eddy De Greef - 2006-02-06

    Logged In: YES
    user_id=73597

    At work, I use Red Hat Enterprise Linux with XFree 4.3.0 and
    I still see the blanking regularly (maybe once a week) when
    I right-click on the tab bar. Sometimes it happens just
    once, sometimes it only stops after right-clicking somewhere
    else.

    At home I use X.org and I don't think I've seen the problem
    recently, but there I use NEdit much less intensively.

    But it's indeed possible that the problem is fixed in X.org.

     
  • Thorsten Haude

    Thorsten Haude - 2007-03-05

    Logged In: YES
    user_id=119143
    Originator: NO

    So do we assume that X.org fixed it for us?

     
  • Eddy De Greef

    Eddy De Greef - 2007-03-05

    Logged In: YES
    user_id=73597
    Originator: NO

    Proof by lack of counterexample? Not exactly convincing, since the problem is quite rare and usually not reproducable.

     
  • Joor Loohuis

    Joor Loohuis - 2007-03-05

    Logged In: YES
    user_id=197101
    Originator: YES

    Just checked, and rightclicking on the tab bar no longer blanks the screen on an FC6 box:

    NEdit 5.5
    Sep 30, 2004

    Built on: Linux, 386, GNU C
    Built at: Oct 1 2004, 15:55:40
    With Motif: 2.1.30 [@(#)Motif Version 2.1.30]
    Running Motif: 2.1 [unknown]
    Server: The X.Org Foundation 70101000
    Visual: 24-bit TrueColor (ID 0x21, Default)
    Locale: nl_NL.UTF-8

     
  • Thorsten Haude

    Thorsten Haude - 2007-03-05

    Logged In: YES
    user_id=119143
    Originator: NO

    Eddy, I don't think we need proof, just a reasonable assumption; we can always re-open the bug later.

    I understood from the mails that we can make that assumption, but if you disagree, it's perfectly fine with me to leave this open.

     
  • Eddy De Greef

    Eddy De Greef - 2007-03-05

    Logged In: YES
    user_id=73597
    Originator: NO

    I'm just not convinced that the problem is gone. I've thought that it was fixed before several times, only to see it resurface months or even years later.
    But your guess is as good as mine. Close it if you like.

     
  • Thorsten Haude

    Thorsten Haude - 2007-03-05

    Logged In: YES
    user_id=119143
    Originator: NO

    >But your guess is as good as mine.

    I doubt that, let's leave it open.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks